import api from '@/utils/request'

export const iGetList = params => api.post(`/admin/hot-search-words/page`, params)

export const iGetItem = ({ id, ...params }) => api.get(`/admin/hot-search-words/${id}`, params)

export const iUpdateItem = (id, params) => api.put(`/admin/hot-search-words/${id}`, params)

export const iAddItem = params => api.post(`/admin/hot-search-words`, params)

export const iDeleteWord = ({ id, ...params }) => api.del(`/admin/hot-search-words/${id}`, params)

export const iDeleteWords = params => api.delData(`/admin/hot-search-words`, params)
